## NAME

s.to.vect - Converts a GRASS site_lists file into a vector file.
(GRASS Sites Program)

## SYNOPSIS

s.to.vect
s.to.vect help
s.to.vect [-p] input=name output=name [cat=type,index]

## DESCRIPTION

s.to.vect converts GRASS `site_lists` file into vector files. The resulting vector file can be treated as any other vector file. The requirements of the site_lists file are standard (i.e., a regular `site_lists` file format is required). `site_lists` file values are used as `dig_cats` category values.

## OPTIONS

## Flags:

-p
  Don't prompt for map header information.

## Parameters:

input=name
  Name of input GRASS `site_lists` file to be converted.
output=name
  Name to be assigned to the vector output file.
cat=type,index
  Field type ("string", "dim", or "decimal") and index to use for the vector category value. By default, the category number is used. The type is the `site_lists` attribute type of "string", "dim" (or dimension), or "decimal". The index is a positive integer attribute number for the specified type. That is, the second "string" attribute would be "2" or the fourth dimension would be "four". For the "dim" type, the index must be greater than 2.

## NOTES

The specification for `site_lists` allows category numbers to be missing or to be floating point. Since attributes in `vector` layers are linked by positive integers, when a `site_lists` file has floating point or missing category numbers, a positive sequential numbering is used instead. This may have the unfortunate side-effect of generating different category numbers for category values that are exactly the same.

## AUTHOR

R.L. Glenn, USDA, SCS, NHQ-CGIS
GRASS 5.0 Team

Last changed: $Date: 2002/01/25 05:45:35 $